summaryrefslogtreecommitdiff
path: root/src/mpeg-tst.sh
diff options
context:
space:
mode:
authormsheby <msheby@cinecert.com>2008-02-20 23:42:34 +0000
committermsheby <>2008-02-20 23:42:34 +0000
commit205957669e1b4502c579227e3bf6cc1a2bf296ea (patch)
treeb087105e276a742b01fd0ac238b280940bc74c87 /src/mpeg-tst.sh
parent06af2732e92552974e180f136a18c9a625d017d5 (diff)
Update autotools-relevant files.
Diffstat (limited to 'src/mpeg-tst.sh')
-rwxr-xr-xsrc/mpeg-tst.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/src/mpeg-tst.sh b/src/mpeg-tst.sh
new file mode 100755
index 0000000..35cb060
--- /dev/null
+++ b/src/mpeg-tst.sh
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+# MPEG tests
+
+${BUILD_DIR}/asdcp-test${EXEEXT} -c ${TEST_FILES}/write_test_mpeg.mxf ${TEST_FILES}/${TEST_FILE_PREFIX}.mpg
+if [ $? -ne 0 ]; then
+ exit 1
+fi
+
+
+${BUILD_DIR}/asdcp-test${EXEEXT} -x ${TEST_FILES}/extract ${TEST_FILES}/write_test_mpeg.mxf
+if [ $? -ne 0 ]; then
+ exit 1
+fi
+cmp ${TEST_FILES}/${TEST_FILE_PREFIX}.mpg ${TEST_FILES}/extract.ves
+if [ $? -ne 0 ]; then
+ exit 1
+fi
+
+
+#${BUILD_DIR}/asdcp-test${EXEEXT} -G ${TEST_FILES}/write_test_mpeg.mxf
+#if [ $? -ne 0 ]; then
+# exit 1
+#fi